MetaTrader 4 Build 600 with Updated MQL4 Language and Market of Applications Released - page 40

William Roeder
20790
William Roeder  
rod178: Is there a (good) reason that MT4 build 600 is 32 bit rather than 64 bit?
All the 32 bit machines still in existance.
graziani
2196
graziani  
angevoyageur:

  • The backward compatibility with old .ex4 seems excellent, though not 100%.
can you please specify what is not working?
Simon Gniadkowski
17239
Simon Gniadkowski  
rod178:
Is there a (good) reason that MT4 build 600 is 32 bit rather than 64 bit?

Then there would be two versions to not test properly instead of one.
rod178
276
rod178  
RaptorUK:
Then there would be two versions to not test properly instead of one.


My 'meaning' was - why have a 32 bit version at all?
gchrmt4
276
gchrmt4  
rod178:

My 'meaning' was - why have a 32 bit version at all?
As per the answers above: very large numbers of machines still running the 32-bit version of Windows, and probably an even larger proportion of the VPSes which many people use.
Simon Gniadkowski
17239
Simon Gniadkowski  
rod178:

My 'meaning' was - why have a 32 bit version at all?
Vista 32 bit, Windows 7 32bit, Windows 8 32 bit . . .
Alain Verleyen
39551
Alain Verleyen  
graziani:
can you please specify what is not working?

Sorry I am not sure what you ask.

From my personal experience, I only see a .ex4 library which presents some problems (but I don't have the code so I can't be more precise). All the rest is working, but it's only my limited experience.

rod178
276
rod178  
RaptorUK:
Vista 32 bit, Windows 7 32bit, Windows 8 32 bit . . .

Vista - now that would be sad.

It would have made more sense to 'freeze' MT4 build 509 32 bit for legacy OS and providing the option of MT4 build 600+ for those desiiring to run MT4 64bit. At least users would then feel that they had a choice.

Simon Gniadkowski
17239
Simon Gniadkowski  
rod178:

Vista - now that would be sad.

It would have made more sense to 'freeze' MT4 build 509 32 bit for legacy OS and providing the option of MT4 build 600+ for those desiiring to run MT4 64bit. At least users would then feel that they had a choice.

And have multiple Server versions ? don't just think about the Terminal app, there is also the Broker side to consider . . . you want to indefinitely support build 509 and 60x + ?
Miike P
10
Miike P  

Hi All

My Swissquote MT4 accountaswas updated. I understood that all the new files hierarchy was set up, but the program continued to refer to the old file-locations. So I trashed all MT4 instances and installed from scratch. Still Swissquote MT4 build 610 does not open profiles in the new locations but reinstalls them in the old locations and looks for the there.

Can I tell MT4 the path, where to look for indicators, ea, templates, profiles etc?

Is this a Swissquote MT4 problem or did you encoiunter this with other provider's updates?

Thanks for your help Mike